PDA

Visualizza la versione completa : phpMyAdmin su VPS


mohak_80
18-06-2007, 09:39
Salve a tutti, ho un problema che non riesco in nessun modo a risolvere. Ho un Virtual Private Server Fedora in prova per una settimana. Ho installato Apache, mysqld e phpMyAdmin con yum.
Tutto bene. php e apache funzionano correttamente.
Solo che non riesco a far partire phpMyAdmin, in locale io ho sempre copiato i files di phpMyAdmin sulla directory del webserver in var/www/html/ e poi funzionava, in questo caso sembra proprio che non vada in nessun modo, ho analizzato anche httpd.conf per vedere se riscontravo qualche anomalia ma niente di strano, mi da errore 530, ma i permessi sono OK sia per le directory 755 che per i files 644.
Voi che ne pensate?
Avete avuto in passato problemi del genere?

Grazie...

SUPERMIKY
18-06-2007, 17:56
sei sicuro che l'errore sia 530? a me risulta che il 530 sia LOGIN INCORRECT - USER CANNOT LOG IN e normalmente si applica a server Ftp...

mohak_80
19-06-2007, 09:46
Adesso ho risolto QUEL problema, cambiando il nome della cartella da phpMyAdmin a mysql, non chiedermi perchè, ma funziona.
Il problema è un altro ora, molto più grave . . .
ovvero:

#2002 - Il server non risponde (o il socket del server locale MySQL non è correttamente configurato)


Forse perchè non vedo il processo mysqld girare e non riesco a farlo partire, meno male che avevo preso questo VPS per provarlo e sono 3 gg che non riesco manco ad installare LAMP, che schifo!!!
Io su una macchina linux di un cliente in un ora ho fatto tutto ed installato la mia procedura che girava correttamente, qua sono 3-4 gg e sto sotto zero.

ciao

SUPERMIKY
19-06-2007, 14:15
se il mysqld non sta girando mi pare difficile riuscire a connettersi :stordita:

mohak_80
20-06-2007, 10:29
eh, lo so. Ma non me lo fa installare proprio. E' la prima volta che mi capita....

vado con: yum install mysql*

dopo aver fatto il dowonload confermo e mi dice


Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 6b8d79e6


Public key for gail-1.8.11-1.fc3.rf.i386.rpm is not installed




e non mi fa installare un tubosky.

Loading